#include<bits/stdc++.h>
using namespace std;
unsigned short n;
int arr[]={};
bool otg[]={};
int main(){
ios_base::sync_with_stdio(false);
 cin.tie(NULL);
cin>>n;
for(int i=0; i<n; i++){
        otg[i]=0;
    cin>> arr[i];
    for(int j=1; j<arr[i]; j++){
        for(int k=1; k<arr[i]; k++){
            if(j*j+k*k==arr[i]){
                otg[i]=true;

            }
        }
    }

}

for(int l=0; l<n; l++){
    if(otg[l]==true){
        cout<<"1";
    }else{cout<<"0";}
}
    return 0;
}
